Package Details: dwarffortress-lnp-git 44.03-2

Git Clone URL: https://aur.archlinux.org/dwarffortress-lnp-git.git (read-only)
Package Base: dwarffortress-lnp-git
Description: Installer for the Lazy Newb Pack to run Dwarf Fortress. Includes vanilla dwarf fortress, dfhack and graphics
Upstream URL: None
Licenses: custom
Submitter: metamer
Maintainer: None
Last Packager: metamer
Votes: 23
Popularity: 0.000095
First Submitted: 2016-03-06 03:30
Last Updated: 2018-01-12 03:15

Dependencies (29)

Required by (0)

Sources (25)

Latest Comments

1 2 3 4 5 6 ... Next › Last »

griffrawk commented on 2019-10-31 13:47

Multiple issues with this package. First off most of the Github dl's don't work as the git:// protocols get blocked by firewalls, which is odd as the PKGBUILD seems to explicitly reference https://. Maybe it was othe packages linked in from these, there were an awful lot. Mod git to rewrite git:// to https:// got round it.

git config --global url."https://".insteadOf git://

I got round the harfbuzz issue on the command line (after installing the missing dependancy), without having to modify the pkgbuild with...

makepkg -si CFLAGS="-isystem /usr/include/harfbuzz" CXXFLAGS="-isystem /usr/include/harfbuzz"

All built, but LNP launcher fails to start the game. Going back to the vanilla package....

Loy commented on 2019-10-28 21:37

No cloning problem here but pango (?) error : "/usr/include/pango-1.0/pango/pango-coverage.h:28:10: fatal error: 'hb.h' file not found" Googling the problem and found that missing "harfbuzz" include dependency. Adding includes to CXXFLAGS (manually patch the prepare() in pkgbuild) solve the problem. Cannot find "clean" method to add this lib into CXX_FLAGS for this package but update is needed. Thx.

thisischrys commented on 2019-03-19 11:31

Also failing on python-lnp for me.

Fetching origin -> Cloning python-lnp hg repo... applying clone bundle from https://api.media.atlassian.com/file/77896933-34cf-4fd4-880f-57dd676a0523/binary?client=6606b3be-751f-4f34-ae09-ccfbd6a8857a&token=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhY2Nlc3MiOnsidXJuOmZpbGVzdG9yZTpmaWxlOjc3ODk2OTMzLTM0Y2YtNGZkNC04ODBmLTU3ZGQ2NzZhMDUyMyI6WyJyZWFkIl19LCJleHAiOjE1NTI5OTUzMzksImlzcyI6IjY2MDZiM2JlLTc1MWYtNGYzNC1hZTA5LWNjZmJkNmE4ODU3YSIsIm5iZiI6MTU1Mjk5NDkxOX0.xNhrayIDBp0dtmWsQDIJja1W44Nrpct6eUxEEyW2uTA error fetching bundle: [Errno -2] Name or service not known abort: error applying bundle (if this error persists, consider contacting the server operator or disable clone bundles via "--config ui.clonebundles=false") ==> ERROR: Failure while downloading python-lnp hg repo Aborting... :: Unable to build dwarffortress-lnp-git - makepkg exited with code: 1

kurolox commented on 2018-01-31 09:14

I'm not being able to install this package.

finished applying clone bundle
searching for changes
abort: error: bad HTTP status line: ''
==> ERROR: Failure while downloading python-lnp hg repo
    Aborting...
:: failed to verify dwarffortress-lnp-git integrity

metamer commented on 2018-01-12 03:23

@mrhanman: Thanks for pointing out the break - this was caused by my attempts to circumvent stonesense breakage. It should be fixed now.

mrhanman commented on 2018-01-11 14:40

I'm running into this problem during the install step:

mv: cannot stat '/home/user/build/dwarffortress-lnp-git/pkg/dwarffortress-lnp-git/opt/dwarffortress-lnp-git/df_linux/hack/libs': No such file or directory

There are 5 libs one directory higher. Could that be the issue?

metamer commented on 2018-01-10 11:52

I've updated to 44.03 and addressed the breakage mentioned by GinjaNinja32.

GinjaNinja32 commented on 2017-12-17 11:34

distro-fixes-64-bit.patch appears to have been merged into the LNP repo, which causes the patch to fail to apply - https://github.com/Lazy-Newb-Pack/Lazy-Newb-Pack-Linux/commit/64020490ea4acf3c7ac751de3ec0e0d6492b6844

Commenting out the patch in the PKGBUILD makes it work again for me.

metamer commented on 2017-09-28 05:32

Thanks for the issue reports - this looks like an issue with the upstream (https://bitbucket.org/Pidgeot/python-lnp), I'll take a look sometime over the next few days.

sirus20x6 commented on 2017-09-25 02:26

[ 3%] Building CXX object depends/protobuf/CMakeFiles/protobuf.dir/google/protobuf/descriptor.cc.o
Can't locate XML/LibXSLT.pm in @INC (you may need to install the XML::LibXSLT module) (@INC contains: xml /usr/lib/perl5/5.26/site_perl /usr/share/perl5/site_perl /usr/lib/perl5/5.26/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5/5.26/core_perl /usr/share/perl5/core_perl) at xml/codegen.pl line 15.
BEGIN failed--compilation aborted at xml/codegen.pl line 15.
make[2]: *** [library/CMakeFiles/generate_headers.dir/build.make:121: ../library/include/df/codegen.out.xml] Error 2
make[1]: *** [CMakeFiles/Makefile2:692: library/CMakeFiles/generate_headers.dir/all] Error 2